using System;
using DG.Tweening;
using FairyGUI;
using BingoBrain;
using UnityEngine;

public static class Fade
{
    public static GTweener FadeIn(this GObject obj, float duration = 0.3f, float delay = 0)
    {
        return GlobalHarmony.In(obj, duration, delay);
    }

    public static GTweener FadeOut(this GObject obj, float duration = 0.3f, float delay = 0)
    {
        return GlobalHarmony.Out(obj, duration, delay);
    }
    
    public static void SetClick(this GObject button, Action action, bool isNetworkCheck = false,
        bool isQuickClickCheck = true)
    {
        GlobalHarmony.CheckClick(button, action, isNetworkCheck, isQuickClickCheck);
    }
}